> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simmer.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhook subscriptions for the authenticated user.



## OpenAPI

````yaml /openapi.json get /api/sdk/webhooks
openapi: 3.1.0
info:
  title: Simmer API
  description: Agent-native trading infrastructure for prediction markets.
  version: 1.0.0
servers:
  - url: https://api.simmer.markets
security: []
paths:
  /api/sdk/webhooks:
    get:
      tags:
        - sdk-webhooks
      summary: List Webhooks
      description: List all webhook subscriptions for the authenticated user.
      operationId: api_list_webhooks_api_sdk_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
components:
  schemas:
    WebhookListResponse:
      properties:
        webhooks:
          items:
            $ref: '#/components/schemas/WebhookResponse'
          type: array
          title: Webhooks
        count:
          type: integer
          title: Count
      type: object
      required:
        - webhooks
        - count
      title: WebhookListResponse
      description: Response listing webhook subscriptions.
    WebhookResponse:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        active:
          type: boolean
          title: Active
        consecutive_failures:
          type: integer
          title: Consecutive Failures
          default: 0
        last_delivery_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Delivery At
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - url
        - events
        - active
        - created_at
      title: WebhookResponse
      description: Response for a single webhook subscription.

````